org.apache.felix.ipojo.composite.service.provides

## Class CompositionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.felix.ipojo.composite.service.provides.CompositionException

All Implemented Interfaces:
  java.io.Serializable

    public class CompositionException
    extends java.lang.Exception

Exception occurs when a composition error occurs.

Author:
  Felix Project Team
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CompositionException(java.lang.String message)` Constructor.
`CompositionException(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompositionException

    public CompositionException(java.lang.String message)

Constructor.

Parameters:
  `message` - a message.

#### CompositionException

    public CompositionException(java.lang.String message,
                                java.lang.Throwable cause)